# =============================================================================
# 
# @(#) $Id: Makefile,v 0.7.2.6 2000/10/09 02:40:40 brian Exp $
# 
# -----------------------------------------------------------------------------
# 
# Copyright (C) 1997, 1998, 1999, 2000  Brian Bidulock <bidulock@dallas.net>
# 
# All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass
# Ave, Cambridge, MA 02139, USA.
# 
# Last Modified $Date: 2000/10/09 02:40:40 $ by $Author: brian $
# 
# -----------------------------------------------------------------------------
# 
# $Log: Makefile,v $
# Revision 0.7.2.6  2000/10/09 02:40:40  brian
# Pre-release 1.
#
# Revision 0.7.2.5  2000/09/27 17:49:44  brian
# Corrected makefiles.
#
# Revision 0.7.2.4  2000/09/24 06:30:49  brian
# Committing changes.
#
# Revision 0.7.2.3  2000/09/11 23:35:27  brian
# Changed to work with new header files.
#
# Revision 0.7.2.2  2000/09/07 13:29:01  brian
# ss7link.o compiles as a module and loads fine.
#
# Revision 0.7.2.1  2000/09/07 12:49:11  brian
# Got ss7link interface support for drivers compiling.
#
# Revision 0.7  2000/09/07 11:20:33  brian
# Initial import of OpenSS7 stack.
#
# Revision 1.1.1.1  2000/09/05 11:00:20  brian
# Initial import of new OpenSS7 stack for Linux.
#
# =============================================================================

INCLUDEDIR = /usr/src/linux/include
MOREINCLUDE = # -I../../include
MAKEFILE = Makefile

COFLAGS = -l

DFLAGS = \
	-DHAVE_SU_COMPRESSION \
	-DTAKE_STATS

# DFLAGS = \
#	-DHAVE_SU_COMPRESSION \
#	-DDEBUG_PRINT_SNIBS \
#	-DDEBUG_PRINT_TIMER \
#	-DDEBUG_PRINT_STATE \
#	-DDEBUG_PRINT_IAC \
#	-DDEBUG_PRINT_RC \
#	-DDEBUG_PRINT_TXC \
#	-DDEBUG_PRINT_L3 \
#	-DDEBUG_PRINT_LSC \
#	-DDEBUG_PRINT_ASP \
#	-DTAKE_STATS

CFLAGS  = \
	-nostdlib \
	-D__KERNEL__ \
	-DMODULE \
	-DMODVERSIONS \
        -DEXPORT_SYMTAB \
	-O3 \
    -fstrength-reduce \
    -fthread-jumps \
    -fcse-follow-jumps \
    -fcse-skip-blocks \
    -frerun-cse-after-loop \
    -fexpensive-optimizations \
    -fcaller-saves \
    -funroll-loops \
    -funroll-all-loops \
	-Wall \
	-Winline \
	-I$(INCLUDEDIR) \
	$(MOREINCLUDE)

CCFLAGS = \
	-nostdlib \
	-D__KERNEL__ \
	-DMODULE \
	-DMODVERSIONS \
        -DEXPORT_SYMTAB \
	-O3 \
	-w \
	-Wall \
	-W \
	-Winline \
	-I$(INCLUDEDIR) \
	$(MOREINCLUDE)

CC = gcc
CCC = g++

%_i.c : %.c ; $(CC) -E $(DFLAGS) $(CFLAGS) $< | sed -e "/^ *$$/d" > $@
%.s : %.c ; $(CC) -S $(DFLAGS) $(CFLAGS) $< -o $@
%.o : %.c ; $(CC) -c $(DFLAGS) $(CFLAGS) $< -o $@
%.ii : %.cc ; $(CCC) -E $(DFLAGS) $(CCFLAGS) $< | sed -e "/^ *$$/d" > $@
%.s : %.cc ; $(CCC) -S $(DFLAGS) $(CCFLAGS) $< -o $@
%.o : %.cc ; $(CCC) -c $(DFLAGS) $(CCFLAGS) $< -o $@

# Extract version number from headers.

VER = $(shell awk -F\" '/REL/ {print $$2}' $(INCLUDEDIR)/linux/version.h)
    
XCPP = 
XPRG = # xss7cntl
CTST = # ss7cntl
TSTS = 
OBJS = ss7link.o $(TSTS) $(CTST) $(XPRG) $(XCPP)
BINS = ss7if.o ss7if_sm.o
SRCS = ss7if.c ss7if_sm.c
INCS = \
ss7if.h \
../../include/linux/if_arp.h \
../../include/linux/if_ether.h \
../../include/linux/netdevice.h \
../../include/linux/proc_fs.h \
../../include/linux/socket.h \
../../include/linux/ss7.h \
../../include/linux/ss7_timers.h \
../../include/linux/ss7link.h \
../../include/linux/ss7mtp.h \
../../include/linux/ss7sccp.h \
../../include/linux/sysctl.h \
../../include/net/sock.h \
../../include/net/ss7.h \
../../include/net/ss7call.h \
../../include/net/ss7link.h \
../../include/net/ss7mtp.h \
../../include/net/ss7mtpcall.h \
../../include/net/ss7sccp.h \
../../include/net/ss7sccpcall.h
RMES = # README.thingstodo README.plan
CVSS = $(SRCS) $(INCS) $(RMES) $(TSTS:%=%.c) $(XPRG:%=%.c) $(CTST:%=%.cc) $(XCPP:%=%.cc) $(MAKEFILE)
LOGS = $(CVSS:%=%.log)

all:: $(OBJS) tags

#$(CVSS):
#	cvs update $@

$(SRCS): $(MAKEFILE)
$(INCS): $(MAKEFILE)

ss7link.o: $(BINS)
	$(LD) -r $^ -o $@

$(XCPP): %: %.cc
	$(CCC) -Wall -ggdb -O2 -I/usr/X11/include -L/usr/X11/lib -lXaw -lc $< -o $@
$(XCPP:%=%.s): %.s: %.cc
	$(CCC) -S -Wall -ggdb -O2 -I/usr/X11/include -L/usr/X11/lib $< -o $@
$(XCPP:%=%.ii): %.ii: %.cc
	$(CCC) -E -Wall -ggdb -O2 -I/usr/X11/include -L/usr/X11/lib $< | sed -e "/^ *$$/d" > $@

$(XPRG): %: %.c
	$(CC) -Wall -ggdb -O2 -I/usr/X11/include -L/usr/X11/lib -lXaw -lc $< -o $@
$(XPRG:%=%.s): %.s: %.c
	$(CC) -S -Wall -ggdb -O2 -I/usr/X11/include -L/usr/X11/lib $< -o $@
$(XPRG:%=%.i): %.i: %.c
	$(CC) -E -Wall -ggdb -O2 -I/usr/X11/include -L/usr/X11/lib $< | sed -e "/^ *$$/d" > $@

$(TSTS): %: %.c
	$(CC) -Wall -ggdb -O2 -lpanel -lncurses $< -o $@
$(TSTS:%=%.s): %.s: %.c
	$(CC) -S -Wall -ggdb -O2 $< -o $@
$(TSTS:%=%.i): %.i: %.c
	$(CC) -E -Wall -ggdb -O2 $< | sed -e "/^ *$$/d" >  $@

$(CTST): %: %.cc
	$(CCC) -Wall -ggdb -O2 -lpanel -lncurses $< -o $@
$(CTST:%=%.s): %.s: %.cc
	$(CCC) -S -Wall -ggdb -O2 $< -o $@
$(CTST:%=%.ii): %.ii: %.cc
	$(CCC) -E -Wall -ggdb -O2 $< | sed -e "/^ *$$/d" > $@

assem:: $(BINS:%.o=%.s) $(TSTS:%=%.s) $(CTST:%=%.s) $(XPRG:%=%.s) $(XCPP:%=%.s)
prep:: $(BINS:%.o=%.i) $(TSTS:%=%.i) $(CTST:%=%.ii) $(XPRG:%=%.i) $(XCPP:%=%.ii)
tags: $(SRCS) $(INCS)
	ctags $(SRCS) $(INCS)

$(LOGS): %.log: %
	cvs log $< | sed -e "1d" > $@
logs:: $(LOGS)

depend::
	mv $(MAKEFILE) $(MAKEFILE).bak
	cat $(MAKEFILE).bak | sed -e "/^# Depend/,$$ d" > $(MAKEFILE)
	echo "# Dependencies" >> $(MAKEFILE)
	echo "" >> $(MAKEFILE)
	for i in $(SRCS); do $(CC) -M -I$(INCLUDEDIR) $(MOREINCLUDE) $(CFLAGS) $$i >> $(MAKEFILE); done
	for i in $(CTST); do $(CCC) -MM $$i.cc | sed -e "s/\.o:/:/" >> $(MAKEFILE); done
	for i in $(TSTS); do $(CC) -MM $$i.c | sed -e "s/\.o:/:/" >> $(MAKEFILE); done
	for i in $(XPRG); do $(CC) -MM -I/usr/X11/include $$i.c | sed -e "s/\.o:/:/" >> $(MAKEFILE); done
	for i in $(XCPP); do $(CC) -MM -I/usr/X11/include $$i.cc | sed -e "s/\.o:/:/" >> $(MAKEFILE); done
	mv $(MAKEFILE) $(MAKEFILE)~
	cat $(MAKEFILE)~ | sed -e "/^# Depend/,$$ s/:/: $(MAKEFILE)/" > $(MAKEFILE)
	rm $(MAKEFILE)~

install::
	install -d /lib/modules/$(VER)/misc /lib/modules/misc
	install -c ss7link.o /lib/modules/$(VER)/misc
	install -c ss7link.o /lib/modules/misc
	rm -f /dev/escc0; mknod -m 666 /dev/escc0 c 63 0
	rm -f /dev/escc1; mknod -m 666 /dev/escc1 c 63 1
	rm -f /dev/escc2; mknod -m 666 /dev/escc2 c 63 2
	rm -f /dev/escc3; mknod -m 666 /dev/escc3 c 63 3
	rm -f /dev/esccM0; mknod -m 666 /dev/esccM0 c 62 0
	rm -f /dev/esccM1; mknod -m 666 /dev/esccM1 c 62 1
	rm -f /dev/esccM2; mknod -m 666 /dev/esccM2 c 62 2
	rm -f /dev/esccM3; mknod -m 666 /dev/esccM3 c 62 3

clean::
	rm -f *.o *.s *.i *.ii *.log *~ core $(TSTS) $(CTST) $(XPRG) $(XCPP) tags

realclean::
	cvs commit
	rm -f $(SRCS) $(INCS) $(RMES) $(BINS) $(OBJS) \
		$(BINS:%.o=%.s) $(BINS:%.o=%.i) \
		$(MAKEFILE).bak *~ core \
	$(TSTS) $(TSTS:%=%.c) $(TSTS:%=%.s) $(TSTS:%=%.i) \
	$(XPRG) $(XPRG:%=%.c) $(XPRG:%=%.s) $(XPRG:%=%.i) \
	$(XCPP) $(XCPP:%=%.cc) $(XCPP:%=%.s) $(XCPP:%=%.ii) \
	$(CTST) $(CTST:%=%.cc) $(CTST:%=%.s) $(CTST:%=%.ii)

.lines:   $(SRCS) $(INCS) $(MAKEFILE)
	cat $^ | wc -l > .lines
	cat .lines

# Dependencies

ss7if.o: Makefile ss7if.c /usr/src/linux/include/linux/version.h /boot/kernel.h \
 /usr/src/linux/include/linux/version-up.h \
 /usr/src/linux/include/linux/module.h \
 /usr/src/linux/include/linux/config.h \
 /usr/src/linux/include/linux/autoconf.h \
 /usr/src/linux/include/asm/atomic.h \
 /usr/src/linux/include/linux/modversions.h \
 /usr/src/linux/include/linux/modversions-up.h \
 /usr/src/linux/include/linux/modsetver.h \
 /usr/src/linux/include/linux/modules-up/8390.ver \
 /usr/src/linux/include/linux/modules-up/DAC960.ver \
 /usr/src/linux/include/linux/modules-up/ad1816.ver \
 /usr/src/linux/include/linux/modules-up/ad1848.ver \
 /usr/src/linux/include/linux/modules-up/adb.ver \
 /usr/src/linux/include/linux/modules-up/af_ax25.ver \
 /usr/src/linux/include/linux/modules-up/af_ipx.ver \
 /usr/src/linux/include/linux/modules-up/af_netlink.ver \
 /usr/src/linux/include/linux/modules-up/apm.ver \
 /usr/src/linux/include/linux/modules-up/arlan-proc.ver \
 /usr/src/linux/include/linux/modules-up/arlan.ver \
 /usr/src/linux/include/linux/modules-up/audio_syms.ver \
 /usr/src/linux/include/linux/modules-up/b1.ver \
 /usr/src/linux/include/linux/modules-up/capidrv.ver \
 /usr/src/linux/include/linux/modules-up/capiutil.ver \
 /usr/src/linux/include/linux/modules-up/cdrom.ver \
 /usr/src/linux/include/linux/modules-up/config.ver \
 /usr/src/linux/include/linux/modules-up/console.ver \
 /usr/src/linux/include/linux/modules-up/ddp.ver \
 /usr/src/linux/include/linux/modules-up/divert_init.ver \
 /usr/src/linux/include/linux/modules-up/fatfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/fbcmap.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb16.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb24.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb32.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb8.ver \
 /usr/src/linux/include/linux/modules-up/fbcon.ver \
 /usr/src/linux/include/linux/modules-up/fbmem.ver \
 /usr/src/linux/include/linux/modules-up/firewall.ver \
 /usr/src/linux/include/linux/modules-up/ftape_syms.ver \
 /usr/src/linux/include/linux/modules-up/i2c.ver \
 /usr/src/linux/include/linux/modules-up/i386_ksyms.ver \
 /usr/src/linux/include/linux/modules-up/ide.ver \
 /usr/src/linux/include/linux/modules-up/ip_gre.ver \
 /usr/src/linux/include/linux/modules-up/ip_masq.ver \
 /usr/src/linux/include/linux/modules-up/ip_masq_app.ver \
 /usr/src/linux/include/linux/modules-up/ip_masq_mod.ver \
 /usr/src/linux/include/linux/modules-up/ip_vs.ver \
 /usr/src/linux/include/linux/modules-up/ipip.ver \
 /usr/src/linux/include/linux/modules-up/irmod.ver \
 /usr/src/linux/include/linux/modules-up/isdn_common.ver \
 /usr/src/linux/include/linux/modules-up/joystick.ver \
 /usr/src/linux/include/linux/modules-up/kcapi.ver \
 /usr/src/linux/include/linux/modules-up/keyboard.ver \
 /usr/src/linux/include/linux/modules-up/ksyms.ver \
 /usr/src/linux/include/linux/modules-up/lapb_iface.ver \
 /usr/src/linux/include/linux/modules-up/ll_rw_blk.ver \
 /usr/src/linux/include/linux/modules-up/lockd_syms.ver \
 /usr/src/linux/include/linux/modules-up/loop.ver \
 /usr/src/linux/include/linux/modules-up/md.ver \
 /usr/src/linux/include/linux/modules-up/midi_syms.ver \
 /usr/src/linux/include/linux/modules-up/misc.ver \
 /usr/src/linux/include/linux/modules-up/mpu401.ver \
 /usr/src/linux/include/linux/modules-up/msdosfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/msnd.ver \
 /usr/src/linux/include/linux/modules-up/mtrr.ver \
 /usr/src/linux/include/linux/modules-up/netsyms.ver \
 /usr/src/linux/include/linux/modules-up/newport.ver \
 /usr/src/linux/include/linux/modules-up/nls_base.ver \
 /usr/src/linux/include/linux/modules-up/nm256_audio.ver \
 /usr/src/linux/include/linux/modules-up/opl3.ver \
 /usr/src/linux/include/linux/modules-up/p8022.ver \
 /usr/src/linux/include/linux/modules-up/paride.ver \
 /usr/src/linux/include/linux/modules-up/parport_init.ver \
 /usr/src/linux/include/linux/modules-up/parport_probe.ver \
 /usr/src/linux/include/linux/modules-up/pcisyms.ver \
 /usr/src/linux/include/linux/modules-up/phonedev.ver \
 /usr/src/linux/include/linux/modules-up/ppp.ver \
 /usr/src/linux/include/linux/modules-up/ppp_deflate.ver \
 /usr/src/linux/include/linux/modules-up/procfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/psnap.ver \
 /usr/src/linux/include/linux/modules-up/pty.ver \
 /usr/src/linux/include/linux/modules-up/sb_card.ver \
 /usr/src/linux/include/linux/modules-up/scsi_syms.ver \
 /usr/src/linux/include/linux/modules-up/sdladrv.ver \
 /usr/src/linux/include/linux/modules-up/selection.ver \
 /usr/src/linux/include/linux/modules-up/sequencer_syms.ver \
 /usr/src/linux/include/linux/modules-up/serial.ver \
 /usr/src/linux/include/linux/modules-up/signal.ver \
 /usr/src/linux/include/linux/modules-up/slhc.ver \
 /usr/src/linux/include/linux/modules-up/sound_core.ver \
 /usr/src/linux/include/linux/modules-up/sound_syms.ver \
 /usr/src/linux/include/linux/modules-up/soundlow.ver \
 /usr/src/linux/include/linux/modules-up/sunrpc_syms.ver \
 /usr/src/linux/include/linux/modules-up/syncppp.ver \
 /usr/src/linux/include/linux/modules-up/sysrq.ver \
 /usr/src/linux/include/linux/modules-up/uart401.ver \
 /usr/src/linux/include/linux/modules-up/vfatfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/videodev.ver \
 /usr/src/linux/include/linux/modules-up/wanmain.ver \
 /usr/src/linux/include/linux/modules-up/xor.ver \
 /usr/src/linux/include/linux/modules-up/z85230.ver \
 /usr/src/linux/include/linux/modules-up/zftape_syms.ver \
 /usr/src/linux/include/linux/modules-up/zorrosyms.ver \
 /usr/src/linux/include/linux/errno.h \
 /usr/src/linux/include/asm/errno.h \
 /usr/src/linux/include/linux/types.h \
 /usr/src/linux/include/linux/posix_types.h \
 /usr/src/linux/include/linux/stddef.h \
 /usr/src/linux/include/asm/posix_types.h \
 /usr/src/linux/include/asm/types.h \
 /usr/src/linux/include/linux/socket.h \
 /usr/src/linux/include/asm/socket.h \
 /usr/src/linux/include/asm/sockios.h \
 /usr/src/linux/include/linux/sockios.h \
 /usr/src/linux/include/linux/uio.h /usr/src/linux/include/linux/in.h \
 /usr/src/linux/include/asm/byteorder.h \
 /usr/src/linux/include/linux/byteorder/little_endian.h \
 /usr/src/linux/include/linux/byteorder/swab.h \
 /usr/src/linux/include/linux/byteorder/generic.h \
 /usr/src/linux/include/linux/kernel.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stdarg.h \
 /usr/src/linux/include/linux/linkage.h \
 /usr/src/linux/include/linux/sched.h \
 /usr/src/linux/include/asm/param.h \
 /usr/src/linux/include/linux/binfmts.h \
 /usr/src/linux/include/linux/ptrace.h \
 /usr/src/linux/include/asm/ptrace.h \
 /usr/src/linux/include/linux/capability.h \
 /usr/src/linux/include/linux/fs.h \
 /usr/src/linux/include/linux/limits.h \
 /usr/src/linux/include/linux/wait.h /usr/src/linux/include/asm/page.h \
 /usr/src/linux/include/asm/page_offset.h \
 /usr/src/linux/include/linux/vfs.h \
 /usr/src/linux/include/asm/statfs.h \
 /usr/src/linux/include/linux/net.h \
 /usr/src/linux/include/linux/kdev_t.h \
 /usr/src/linux/include/linux/ioctl.h \
 /usr/src/linux/include/asm/ioctl.h \
 /usr/src/linux/include/linux/list.h \
 /usr/src/linux/include/linux/dcache.h \
 /usr/src/linux/include/linux/stat.h /usr/src/linux/include/asm/stat.h \
 /usr/src/linux/include/linux/bitops.h \
 /usr/src/linux/include/asm/bitops.h \
 /usr/src/linux/include/asm/cache.h \
 /usr/src/linux/include/asm/semaphore.h \
 /usr/src/linux/include/asm/system.h \
 /usr/src/linux/include/asm/segment.h \
 /usr/src/linux/include/asm/spinlock.h \
 /usr/src/linux/include/linux/pipe_fs_i.h \
 /usr/src/linux/include/linux/minix_fs_i.h \
 /usr/src/linux/include/linux/ext2_fs_i.h \
 /usr/src/linux/include/linux/hpfs_fs_i.h \
 /usr/src/linux/include/linux/ntfs_fs_i.h \
 /usr/src/linux/include/linux/msdos_fs_i.h \
 /usr/src/linux/include/linux/umsdos_fs_i.h \
 /usr/src/linux/include/linux/iso_fs_i.h \
 /usr/src/linux/include/linux/nfs_fs_i.h \
 /usr/src/linux/include/linux/nfs.h \
 /usr/src/linux/include/linux/sunrpc/msg_prot.h \
 /usr/src/linux/include/linux/sysv_fs_i.h \
 /usr/src/linux/include/linux/affs_fs_i.h \
 /usr/src/linux/include/linux/a.out.h \
 /usr/src/linux/include/asm/a.out.h \
 /usr/src/linux/include/linux/time.h \
 /usr/src/linux/include/linux/ufs_fs_i.h \
 /usr/src/linux/include/linux/efs_fs_i.h \
 /usr/src/linux/include/linux/coda_fs_i.h \
 /usr/src/linux/include/linux/coda.h \
 /usr/src/linux/include/linux/romfs_fs_i.h \
 /usr/src/linux/include/linux/smb_fs_i.h \
 /usr/src/linux/include/linux/hfs_fs_i.h \
 /usr/src/linux/include/linux/adfs_fs_i.h \
 /usr/src/linux/include/linux/qnx4_fs_i.h \
 /usr/src/linux/include/linux/qnxtypes.h \
 /usr/src/linux/include/linux/quota.h \
 /usr/src/linux/include/linux/mount.h \
 /usr/src/linux/include/linux/fcntl.h \
 /usr/src/linux/include/asm/fcntl.h \
 /usr/src/linux/include/linux/minix_fs_sb.h \
 /usr/src/linux/include/linux/ext2_fs_sb.h \
 /usr/src/linux/include/linux/ext2_fs.h \
 /usr/src/linux/include/linux/hpfs_fs_sb.h \
 /usr/src/linux/include/linux/ntfs_fs_sb.h \
 /usr/src/linux/include/linux/msdos_fs_sb.h \
 /usr/src/linux/include/linux/fat_cvf.h \
 /usr/src/linux/include/linux/iso_fs_sb.h \
 /usr/src/linux/include/linux/nfs_fs_sb.h \
 /usr/src/linux/include/linux/sysv_fs_sb.h \
 /usr/src/linux/include/linux/affs_fs_sb.h \
 /usr/src/linux/include/linux/ufs_fs_sb.h \
 /usr/src/linux/include/linux/ufs_fs.h \
 /usr/src/linux/include/linux/efs_fs_sb.h \
 /usr/src/linux/include/linux/romfs_fs_sb.h \
 /usr/src/linux/include/linux/smb_fs_sb.h \
 /usr/src/linux/include/linux/smb.h \
 /usr/src/linux/include/linux/hfs_fs_sb.h \
 /usr/src/linux/include/linux/adfs_fs_sb.h \
 /usr/src/linux/include/linux/adfs_fs.h \
 /usr/src/linux/include/linux/qnx4_fs_sb.h \
 /usr/src/linux/include/linux/personality.h \
 /usr/src/linux/include/linux/tasks.h \
 /usr/src/linux/include/linux/times.h \
 /usr/src/linux/include/linux/timex.h \
 /usr/src/linux/include/asm/timex.h /usr/src/linux/include/asm/msr.h \
 /usr/src/linux/include/linux/smp.h /usr/src/linux/include/linux/tty.h \
 /usr/src/linux/include/linux/major.h \
 /usr/src/linux/include/linux/termios.h \
 /usr/src/linux/include/asm/termios.h \
 /usr/src/linux/include/asm/termbits.h \
 /usr/src/linux/include/asm/ioctls.h \
 /usr/src/linux/include/linux/tqueue.h \
 /usr/src/linux/include/linux/tty_driver.h \
 /usr/src/linux/include/linux/tty_ldisc.h \
 /usr/src/linux/include/linux/serialP.h \
 /usr/src/linux/include/linux/sem.h /usr/src/linux/include/linux/ipc.h \
 /usr/src/linux/include/linux/signal.h \
 /usr/src/linux/include/asm/signal.h \
 /usr/src/linux/include/asm/sigcontext.h \
 /usr/src/linux/include/asm/siginfo.h \
 /usr/src/linux/include/linux/string.h \
 /usr/src/linux/include/asm/string.h \
 /usr/src/linux/include/linux/securebits.h \
 /usr/src/linux/include/linux/param.h \
 /usr/src/linux/include/linux/resource.h \
 /usr/src/linux/include/asm/resource.h \
 /usr/src/linux/include/linux/timer.h \
 /usr/src/linux/include/asm/processor.h \
 /usr/src/linux/include/asm/vm86.h \
 /usr/src/linux/include/asm/math_emu.h \
 /usr/src/linux/include/asm/user.h \
 /usr/src/linux/include/asm/current.h \
 /usr/src/linux/include/linux/inet.h \
 /usr/src/linux/include/linux/if_arp.h \
 /usr/src/linux/include/linux/netdevice.h \
 /usr/src/linux/include/linux/if.h \
 /usr/src/linux/include/linux/if_ether.h \
 /usr/src/linux/include/linux/if_packet.h \
 /usr/src/linux/include/linux/skbuff.h \
 /usr/src/linux/include/linux/malloc.h \
 /usr/src/linux/include/linux/slab.h /usr/src/linux/include/linux/mm.h \
 /usr/src/linux/include/linux/interrupt.h \
 /usr/src/linux/include/asm/hardirq.h \
 /usr/src/linux/include/asm/softirq.h \
 /usr/src/linux/include/linux/notifier.h \
 /usr/src/linux/include/net/sock.h /usr/src/linux/include/linux/in6.h \
 /usr/src/linux/include/linux/ipv6.h \
 /usr/src/linux/include/linux/icmpv6.h \
 /usr/src/linux/include/net/if_inet6.h \
 /usr/src/linux/include/linux/icmp.h \
 /usr/src/linux/include/linux/tcp.h \
 /usr/src/linux/include/net/protocol.h \
 /usr/src/linux/include/net/irda/irda.h \
 /usr/src/linux/include/net/irda/qos.h \
 /usr/src/linux/include/net/irda/irqueue.h \
 /usr/src/linux/include/linux/filter.h ../../net/ss7/af_ss7.h \
 ../../net/ss7/mtp.h ../../net/ss7/mtp_route.h ../../net/ss7/mtp_sm.h \
 ../../include/linux/ss7link.h ../../include/linux/ss7_timers.h \
 ss7if.h /usr/src/linux/include/net/pkt_sched.h \
 /usr/src/linux/include/linux/pkt_sched.h \
 /usr/src/linux/include/net/pkt_cls.h \
 /usr/src/linux/include/linux/pkt_cls.h
ss7if_sm.o: Makefile ss7if_sm.c /usr/src/linux/include/linux/config.h \
 /usr/src/linux/include/linux/autoconf.h \
 /usr/src/linux/include/linux/version.h /boot/kernel.h \
 /usr/src/linux/include/linux/version-up.h \
 /usr/src/linux/include/linux/module.h \
 /usr/src/linux/include/asm/atomic.h \
 /usr/src/linux/include/linux/modversions.h \
 /usr/src/linux/include/linux/modversions-up.h \
 /usr/src/linux/include/linux/modsetver.h \
 /usr/src/linux/include/linux/modules-up/8390.ver \
 /usr/src/linux/include/linux/modules-up/DAC960.ver \
 /usr/src/linux/include/linux/modules-up/ad1816.ver \
 /usr/src/linux/include/linux/modules-up/ad1848.ver \
 /usr/src/linux/include/linux/modules-up/adb.ver \
 /usr/src/linux/include/linux/modules-up/af_ax25.ver \
 /usr/src/linux/include/linux/modules-up/af_ipx.ver \
 /usr/src/linux/include/linux/modules-up/af_netlink.ver \
 /usr/src/linux/include/linux/modules-up/apm.ver \
 /usr/src/linux/include/linux/modules-up/arlan-proc.ver \
 /usr/src/linux/include/linux/modules-up/arlan.ver \
 /usr/src/linux/include/linux/modules-up/audio_syms.ver \
 /usr/src/linux/include/linux/modules-up/b1.ver \
 /usr/src/linux/include/linux/modules-up/capidrv.ver \
 /usr/src/linux/include/linux/modules-up/capiutil.ver \
 /usr/src/linux/include/linux/modules-up/cdrom.ver \
 /usr/src/linux/include/linux/modules-up/config.ver \
 /usr/src/linux/include/linux/modules-up/console.ver \
 /usr/src/linux/include/linux/modules-up/ddp.ver \
 /usr/src/linux/include/linux/modules-up/divert_init.ver \
 /usr/src/linux/include/linux/modules-up/fatfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/fbcmap.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb16.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb24.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb32.ver \
 /usr/src/linux/include/linux/modules-up/fbcon-cfb8.ver \
 /usr/src/linux/include/linux/modules-up/fbcon.ver \
 /usr/src/linux/include/linux/modules-up/fbmem.ver \
 /usr/src/linux/include/linux/modules-up/firewall.ver \
 /usr/src/linux/include/linux/modules-up/ftape_syms.ver \
 /usr/src/linux/include/linux/modules-up/i2c.ver \
 /usr/src/linux/include/linux/modules-up/i386_ksyms.ver \
 /usr/src/linux/include/linux/modules-up/ide.ver \
 /usr/src/linux/include/linux/modules-up/ip_gre.ver \
 /usr/src/linux/include/linux/modules-up/ip_masq.ver \
 /usr/src/linux/include/linux/modules-up/ip_masq_app.ver \
 /usr/src/linux/include/linux/modules-up/ip_masq_mod.ver \
 /usr/src/linux/include/linux/modules-up/ip_vs.ver \
 /usr/src/linux/include/linux/modules-up/ipip.ver \
 /usr/src/linux/include/linux/modules-up/irmod.ver \
 /usr/src/linux/include/linux/modules-up/isdn_common.ver \
 /usr/src/linux/include/linux/modules-up/joystick.ver \
 /usr/src/linux/include/linux/modules-up/kcapi.ver \
 /usr/src/linux/include/linux/modules-up/keyboard.ver \
 /usr/src/linux/include/linux/modules-up/ksyms.ver \
 /usr/src/linux/include/linux/modules-up/lapb_iface.ver \
 /usr/src/linux/include/linux/modules-up/ll_rw_blk.ver \
 /usr/src/linux/include/linux/modules-up/lockd_syms.ver \
 /usr/src/linux/include/linux/modules-up/loop.ver \
 /usr/src/linux/include/linux/modules-up/md.ver \
 /usr/src/linux/include/linux/modules-up/midi_syms.ver \
 /usr/src/linux/include/linux/modules-up/misc.ver \
 /usr/src/linux/include/linux/modules-up/mpu401.ver \
 /usr/src/linux/include/linux/modules-up/msdosfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/msnd.ver \
 /usr/src/linux/include/linux/modules-up/mtrr.ver \
 /usr/src/linux/include/linux/modules-up/netsyms.ver \
 /usr/src/linux/include/linux/modules-up/newport.ver \
 /usr/src/linux/include/linux/modules-up/nls_base.ver \
 /usr/src/linux/include/linux/modules-up/nm256_audio.ver \
 /usr/src/linux/include/linux/modules-up/opl3.ver \
 /usr/src/linux/include/linux/modules-up/p8022.ver \
 /usr/src/linux/include/linux/modules-up/paride.ver \
 /usr/src/linux/include/linux/modules-up/parport_init.ver \
 /usr/src/linux/include/linux/modules-up/parport_probe.ver \
 /usr/src/linux/include/linux/modules-up/pcisyms.ver \
 /usr/src/linux/include/linux/modules-up/phonedev.ver \
 /usr/src/linux/include/linux/modules-up/ppp.ver \
 /usr/src/linux/include/linux/modules-up/ppp_deflate.ver \
 /usr/src/linux/include/linux/modules-up/procfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/psnap.ver \
 /usr/src/linux/include/linux/modules-up/pty.ver \
 /usr/src/linux/include/linux/modules-up/sb_card.ver \
 /usr/src/linux/include/linux/modules-up/scsi_syms.ver \
 /usr/src/linux/include/linux/modules-up/sdladrv.ver \
 /usr/src/linux/include/linux/modules-up/selection.ver \
 /usr/src/linux/include/linux/modules-up/sequencer_syms.ver \
 /usr/src/linux/include/linux/modules-up/serial.ver \
 /usr/src/linux/include/linux/modules-up/signal.ver \
 /usr/src/linux/include/linux/modules-up/slhc.ver \
 /usr/src/linux/include/linux/modules-up/sound_core.ver \
 /usr/src/linux/include/linux/modules-up/sound_syms.ver \
 /usr/src/linux/include/linux/modules-up/soundlow.ver \
 /usr/src/linux/include/linux/modules-up/sunrpc_syms.ver \
 /usr/src/linux/include/linux/modules-up/syncppp.ver \
 /usr/src/linux/include/linux/modules-up/sysrq.ver \
 /usr/src/linux/include/linux/modules-up/uart401.ver \
 /usr/src/linux/include/linux/modules-up/vfatfs_syms.ver \
 /usr/src/linux/include/linux/modules-up/videodev.ver \
 /usr/src/linux/include/linux/modules-up/wanmain.ver \
 /usr/src/linux/include/linux/modules-up/xor.ver \
 /usr/src/linux/include/linux/modules-up/z85230.ver \
 /usr/src/linux/include/linux/modules-up/zftape_syms.ver \
 /usr/src/linux/include/linux/modules-up/zorrosyms.ver \
 /usr/src/linux/include/linux/errno.h \
 /usr/src/linux/include/asm/errno.h \
 /usr/src/linux/include/linux/types.h \
 /usr/src/linux/include/linux/posix_types.h \
 /usr/src/linux/include/linux/stddef.h \
 /usr/src/linux/include/asm/posix_types.h \
 /usr/src/linux/include/asm/types.h \
 /usr/src/linux/include/linux/socket.h \
 /usr/src/linux/include/asm/socket.h \
 /usr/src/linux/include/asm/sockios.h \
 /usr/src/linux/include/linux/sockios.h \
 /usr/src/linux/include/linux/uio.h /usr/src/linux/include/linux/in.h \
 /usr/src/linux/include/asm/byteorder.h \
 /usr/src/linux/include/linux/byteorder/little_endian.h \
 /usr/src/linux/include/linux/byteorder/swab.h \
 /usr/src/linux/include/linux/byteorder/generic.h \
 /usr/src/linux/include/linux/kernel.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include/stdarg.h \
 /usr/src/linux/include/linux/linkage.h \
 /usr/src/linux/include/linux/sched.h \
 /usr/src/linux/include/asm/param.h \
 /usr/src/linux/include/linux/binfmts.h \
 /usr/src/linux/include/linux/ptrace.h \
 /usr/src/linux/include/asm/ptrace.h \
 /usr/src/linux/include/linux/capability.h \
 /usr/src/linux/include/linux/fs.h \
 /usr/src/linux/include/linux/limits.h \
 /usr/src/linux/include/linux/wait.h /usr/src/linux/include/asm/page.h \
 /usr/src/linux/include/asm/page_offset.h \
 /usr/src/linux/include/linux/vfs.h \
 /usr/src/linux/include/asm/statfs.h \
 /usr/src/linux/include/linux/net.h \
 /usr/src/linux/include/linux/kdev_t.h \
 /usr/src/linux/include/linux/ioctl.h \
 /usr/src/linux/include/asm/ioctl.h \
 /usr/src/linux/include/linux/list.h \
 /usr/src/linux/include/linux/dcache.h \
 /usr/src/linux/include/linux/stat.h /usr/src/linux/include/asm/stat.h \
 /usr/src/linux/include/linux/bitops.h \
 /usr/src/linux/include/asm/bitops.h \
 /usr/src/linux/include/asm/cache.h \
 /usr/src/linux/include/asm/semaphore.h \
 /usr/src/linux/include/asm/system.h \
 /usr/src/linux/include/asm/segment.h \
 /usr/src/linux/include/asm/spinlock.h \
 /usr/src/linux/include/linux/pipe_fs_i.h \
 /usr/src/linux/include/linux/minix_fs_i.h \
 /usr/src/linux/include/linux/ext2_fs_i.h \
 /usr/src/linux/include/linux/hpfs_fs_i.h \
 /usr/src/linux/include/linux/ntfs_fs_i.h \
 /usr/src/linux/include/linux/msdos_fs_i.h \
 /usr/src/linux/include/linux/umsdos_fs_i.h \
 /usr/src/linux/include/linux/iso_fs_i.h \
 /usr/src/linux/include/linux/nfs_fs_i.h \
 /usr/src/linux/include/linux/nfs.h \
 /usr/src/linux/include/linux/sunrpc/msg_prot.h \
 /usr/src/linux/include/linux/sysv_fs_i.h \
 /usr/src/linux/include/linux/affs_fs_i.h \
 /usr/src/linux/include/linux/a.out.h \
 /usr/src/linux/include/asm/a.out.h \
 /usr/src/linux/include/linux/time.h \
 /usr/src/linux/include/linux/ufs_fs_i.h \
 /usr/src/linux/include/linux/efs_fs_i.h \
 /usr/src/linux/include/linux/coda_fs_i.h \
 /usr/src/linux/include/linux/coda.h \
 /usr/src/linux/include/linux/romfs_fs_i.h \
 /usr/src/linux/include/linux/smb_fs_i.h \
 /usr/src/linux/include/linux/hfs_fs_i.h \
 /usr/src/linux/include/linux/adfs_fs_i.h \
 /usr/src/linux/include/linux/qnx4_fs_i.h \
 /usr/src/linux/include/linux/qnxtypes.h \
 /usr/src/linux/include/linux/quota.h \
 /usr/src/linux/include/linux/mount.h \
 /usr/src/linux/include/linux/fcntl.h \
 /usr/src/linux/include/asm/fcntl.h \
 /usr/src/linux/include/linux/minix_fs_sb.h \
 /usr/src/linux/include/linux/ext2_fs_sb.h \
 /usr/src/linux/include/linux/ext2_fs.h \
 /usr/src/linux/include/linux/hpfs_fs_sb.h \
 /usr/src/linux/include/linux/ntfs_fs_sb.h \
 /usr/src/linux/include/linux/msdos_fs_sb.h \
 /usr/src/linux/include/linux/fat_cvf.h \
 /usr/src/linux/include/linux/iso_fs_sb.h \
 /usr/src/linux/include/linux/nfs_fs_sb.h \
 /usr/src/linux/include/linux/sysv_fs_sb.h \
 /usr/src/linux/include/linux/affs_fs_sb.h \
 /usr/src/linux/include/linux/ufs_fs_sb.h \
 /usr/src/linux/include/linux/ufs_fs.h \
 /usr/src/linux/include/linux/efs_fs_sb.h \
 /usr/src/linux/include/linux/romfs_fs_sb.h \
 /usr/src/linux/include/linux/smb_fs_sb.h \
 /usr/src/linux/include/linux/smb.h \
 /usr/src/linux/include/linux/hfs_fs_sb.h \
 /usr/src/linux/include/linux/adfs_fs_sb.h \
 /usr/src/linux/include/linux/adfs_fs.h \
 /usr/src/linux/include/linux/qnx4_fs_sb.h \
 /usr/src/linux/include/linux/personality.h \
 /usr/src/linux/include/linux/tasks.h \
 /usr/src/linux/include/linux/times.h \
 /usr/src/linux/include/linux/timex.h \
 /usr/src/linux/include/asm/timex.h /usr/src/linux/include/asm/msr.h \
 /usr/src/linux/include/linux/smp.h /usr/src/linux/include/linux/tty.h \
 /usr/src/linux/include/linux/major.h \
 /usr/src/linux/include/linux/termios.h \
 /usr/src/linux/include/asm/termios.h \
 /usr/src/linux/include/asm/termbits.h \
 /usr/src/linux/include/asm/ioctls.h \
 /usr/src/linux/include/linux/tqueue.h \
 /usr/src/linux/include/linux/tty_driver.h \
 /usr/src/linux/include/linux/tty_ldisc.h \
 /usr/src/linux/include/linux/serialP.h \
 /usr/src/linux/include/linux/sem.h /usr/src/linux/include/linux/ipc.h \
 /usr/src/linux/include/linux/signal.h \
 /usr/src/linux/include/asm/signal.h \
 /usr/src/linux/include/asm/sigcontext.h \
 /usr/src/linux/include/asm/siginfo.h \
 /usr/src/linux/include/linux/string.h \
 /usr/src/linux/include/asm/string.h \
 /usr/src/linux/include/linux/securebits.h \
 /usr/src/linux/include/linux/param.h \
 /usr/src/linux/include/linux/resource.h \
 /usr/src/linux/include/asm/resource.h \
 /usr/src/linux/include/linux/timer.h \
 /usr/src/linux/include/asm/processor.h \
 /usr/src/linux/include/asm/vm86.h \
 /usr/src/linux/include/asm/math_emu.h \
 /usr/src/linux/include/asm/user.h \
 /usr/src/linux/include/asm/current.h \
 /usr/src/linux/include/linux/inet.h \
 /usr/src/linux/include/linux/if_arp.h \
 /usr/src/linux/include/linux/netdevice.h \
 /usr/src/linux/include/linux/if.h \
 /usr/src/linux/include/linux/if_ether.h \
 /usr/src/linux/include/linux/if_packet.h \
 /usr/src/linux/include/linux/skbuff.h \
 /usr/src/linux/include/linux/malloc.h \
 /usr/src/linux/include/linux/slab.h /usr/src/linux/include/linux/mm.h \
 /usr/src/linux/include/linux/interrupt.h \
 /usr/src/linux/include/asm/hardirq.h \
 /usr/src/linux/include/asm/softirq.h \
 /usr/src/linux/include/linux/notifier.h \
 /usr/src/linux/include/net/sock.h /usr/src/linux/include/linux/in6.h \
 /usr/src/linux/include/linux/ipv6.h \
 /usr/src/linux/include/linux/icmpv6.h \
 /usr/src/linux/include/net/if_inet6.h \
 /usr/src/linux/include/linux/icmp.h \
 /usr/src/linux/include/linux/tcp.h \
 /usr/src/linux/include/net/protocol.h \
 /usr/src/linux/include/net/irda/irda.h \
 /usr/src/linux/include/net/irda/qos.h \
 /usr/src/linux/include/net/irda/irqueue.h \
 /usr/src/linux/include/linux/filter.h ../../net/ss7/af_ss7.h \
 ../../net/ss7/mtp.h ../../net/ss7/mtp_route.h ../../net/ss7/mtp_sm.h \
 ../../include/linux/ss7link.h ../../include/linux/ss7_timers.h \
 ss7if.h /usr/src/linux/include/net/pkt_sched.h \
 /usr/src/linux/include/linux/pkt_sched.h \
 /usr/src/linux/include/net/pkt_cls.h \
 /usr/src/linux/include/linux/pkt_cls.h
